Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Interface WorklistManager

All Known Subinterfaces:
  WorklistScrollableResultManager

Deprecated. Use WorklistContext instead

    public interface WorklistManager

Since:
  8.1
See Also:
  `WorklistContext`, `WorklistContextFactory`

Method Summary
`void` | `abortTask(String taskId)` Deprecated. Use WorklistTaskUser.takeActionOnStep(taskId, <Started Step>, <Abort Action>, null) for tasks not based on a task plan, or WorklistTaskAdmin.abortTask for any task.
`void` | `archiveTasks()` Deprecated. Archive all the tasks in their final state (COMPLETED or ABORTED) if the archiver is on.
`void` | `assignToUser(String userName, String taskId)` Deprecated. Assign the task to the user and claim it on his behalf.
`String` | `assignToUserInGroup(String groupName, String taskId)` Deprecated. Assign the task to a user (chosen by the system) in the group and claim the task on his behalf.
`void` | `assignToUsersAndGroups(String[] userNamesAndOrGroupNames, String taskId)` Deprecated. Assign the tasks to users and/or groups
`void` | `claimTask(String taskId)` Deprecated. Claim the task.
`void` | `claimTask(String user, String taskId)` Deprecated. Claim the task on behalf of the user.
`void` | `completeTask(String taskId)` Deprecated. Use WorklistTaskUser.takeActionOnTask(taskId, , , null) for tasks not based on a task plan, or WorklistTaskAdmin.completeTask for any task.
`String` | `createTask(String name)` Deprecated. Create a task, with all the default values.
`String` | `createTask(TaskCreation taskCreation)` Deprecated. Create a task.
`String` | `createTaskXML(TaskCreationXMLDocument doc)` Deprecated. Create task using an xml document
`void` | `deleteTask(String taskId)` Deprecated. Delete the task.
`void` | `deleteTasks(TaskSelector selector)` Deprecated. Delete the selected tasks.
`String[]` | `getContainingGroups(String userOrGroup)` Deprecated. Return all the groups containing this user or group
`int` | `getSelectedTasksNumber(TaskSelector selector)` Deprecated. Get the number of tasks selected.
`String[]` | `getTaskIds(TaskSelector selector)` Deprecated. Get task ids of all the selected tasks
`TaskInfo` | `getTaskInfo(String taskId)` Deprecated. Get the task info object.
`TaskInfo[]` | `getTaskInfos(TaskSelector selector)` Deprecated. Get a task info array of all the selected tasks
`String[]` | `getTaskProperties(String[] propertyNames, String taskId)` Deprecated. Use WorklistTaskUser.getTaskProperties() instead.
`String[]` | `getTaskPropertiesNames(String taskId)` Deprecated. Use TaskPlan.getPropertyName() instead.
`String` | `getTaskProperty(String propertyName, String taskId)` Deprecated. Get a user defined task property value.
`TaskMessage` | `getTaskRequest(String taskId)` Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.
`XmlObject` | `getTaskRequestAsXmlObject(String taskId)` Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.
`TaskMessage` | `getTaskResponse(String taskId)` Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.
`XmlObject` | `getTaskResponseAsXmlObject(String taskId)` Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.
`String[]` | `getUsersInGroup(String group)` Deprecated. Return all the members of a WLS group
`void` | `purgeTasks()` Deprecated. Purge all the tasks that have been in their final state for more than the purge delay value.
`String[]` | `removeTaskProperties(String[] propertyNames, String taskId)` Deprecated. Use PropertyInstance.unsetValue() instead.
`void` | `resumeTask(String taskId)` Deprecated. Use WorklistTaskAdmin.resumeTask instead
`void` | `returnTask(String taskId)` Deprecated. Return a task that is in the state CLAIMED to the state ASSIGNED with all the previous assignees.
`void` | `setTaskCanBeAborted(Boolean value, String taskId)` Deprecated. Specify if an assignee or the claimant can abort the task.
`void` | `setTaskCanBeReassigned(Boolean value, String taskId)` Deprecated. Specify if a task assignee can reassign the task.
`void` | `setTaskCanBeReturned(Boolean value, String taskId)` Deprecated. Specify if the claimant can return the task.
`void` | `setTaskClaimDueBusinessDate(BusinessTime time, String taskId)` Deprecated. Set the task claim due date using a business time.
`void` | `setTaskClaimDueDate(Date claimDueDate, String taskId)` Deprecated. Set the task claim due date.
`void` | `setTaskComment(String comment, String taskId)` Deprecated. Set a task comment.
`void` | `setTaskCompletionDueBusinessDate(BusinessTime time, String taskId)` Deprecated. Set the task completion due date using a business time.
`void` | `setTaskCompletionDueDate(Date completeDueDate, String taskId)` Deprecated. Set the task completion due date.
`void` | `setTaskOwner(String owner, String taskId)` Deprecated. Set the task owner.
`void` | `setTaskPriority(Integer priority, String taskId)` Deprecated. Set a task priority.
`String[]` | `setTaskProperties(String[] propertyNames, String[] values, String taskId)` Deprecated. Use WorklistTaskUser.setTaskProperties() instead.
`String` | `setTaskProperty(String propertyName, String value, String taskId)` Deprecated. Use WorklistTaskUser.getTaskProperty() instead.
`void` | `setTaskRequest(TaskMessage request, String taskId)` Deprecated. Use an explicit task plan when creating your task by calling WorklistTaskAdmin.createTask(String, TaskPlan, String, String) then use WorklistTaskUser.setTaskProperty() instead passing a PropertyInstance retrieved by name from the TaskPlan associated with the task. For example:
       WorklistContext ctx = WorklistContextFactory.getLocalContext();
       WorklistTaskUser user = ctx.getInterfaceForTaskUser();
       TaskPlan taskPlan = user.getTaskPlanForTask(taskId);
       Property prop = taskPlan.getProperty("Request");
       PropertyInstance propInstance = user.getTaskProperty(taskId, prop);
       propInstance.setValue(... Your request value (Object, byte[], etc.) ...)
       user.setTaskProperty(taskId, propInstance);
`void` | `setTaskRequestAsXmlObject(XmlObject request, String mimeType, String taskId)` Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.
`void` | `setTaskResponse(TaskMessage response, String taskId)` Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.
`void` | `setTaskResponseAsXmlObject(XmlObject response, String mimeType, String taskId)` Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.
`void` | `startTask(String taskId)` Deprecated. Use WorklistTaskUser.takeActionOnTask(taskId, , , null)
`void` | `stopTask(String taskId)` Deprecated. Use WorklistTaskUser.takeActionOnStep(taskId, , , null)
`void` | `suspendTask(String taskId)` Deprecated. Use WorklistTaskAdmin.suspendTask instead

Method Detail

### createTask

    String createTask(String name)
                      throws ManagementException,
                             RemoteException

  Deprecated.
  Create a task, with all the default values. The task will be assumed to be defined by the system's global task plan. This task plan has the ID of WORKLIST_GLOBAL_TASK_PLAN_ID.

  Parameters:
    `name` -
  Returns:
    the task id string
  Throws:
    `ManagementException` - If the operation fails.
    `RemoteException` - If an RMI communication error occurs.

### createTask

    String createTask(TaskCreation taskCreation)
                      throws ManagementException,
                             BusinessCalendarException,
                             AssignmentException,
                             RemoteException

  Deprecated.
  Create a task.

  Parameters:
    `taskCreation` - object containing information about the new task.
  Returns:
    the task id string
  Throws:
    `ManagementException` - If the operation fails.
    `RemoteException` - If an RMI communication error occurs.
    `BusinessCalendarException`
    `AssignmentException`
  See Also:
    `TaskCreation`

### createTaskXML

    String createTaskXML(TaskCreationXMLDocument doc)
                         throws ManagementException,
                                BusinessCalendarException,
                                AssignmentException,
                                RemoteException

  Deprecated.
  Create task using an xml document

  Parameters:
    `doc` - an XML Bean containing information about the new task.
  Returns:
    the task id string
  Throws:
    `ManagementException`
    `RemoteException`
    `BusinessCalendarException`
    `AssignmentException`

### getSelectedTasksNumber

    int getSelectedTasksNumber(TaskSelector selector)
                               throws ManagementException,
                                      RemoteException

  Deprecated.
  Get the number of tasks selected.

  Parameters:
    `selector` - containing selection criteria
  Returns:
    the number of tasks selected
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `TaskSelector`

### getTaskInfo

    TaskInfo getTaskInfo(String taskId)
                         throws ManagementException,
                                RemoteException

  Deprecated.
  Get the task info object.

  Parameters:
    `taskId` -
  Returns:
    TaskInfo object containing basic information about the task
  Throws:
    `ManagementException`
    `RemoteException`

### getTaskInfos

    TaskInfo[] getTaskInfos(TaskSelector selector)
                            throws ManagementException,
                                   RemoteException

  Deprecated.
  Get a task info array of all the selected tasks

  Parameters:
    `selector` - containing selection criteria
  Returns:
    Array of TaskInfo objects selected by the criteria provided.
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `TaskSelector`

### getTaskIds

    String[] getTaskIds(TaskSelector selector)
                        throws ManagementException,
                               RemoteException

  Deprecated.
  Get task ids of all the selected tasks

  Parameters:
    `selector` - containing selection criteria
  Returns:
    array of task ids
  Throws:
    `ManagementException`
    `RemoteException`

### assignToUser

    void assignToUser(String userName,
                      String taskId)
                      throws ManagementException,
                             AssignmentException,
                             RemoteException

  Deprecated.
  Assign the task to the user and claim it on his behalf.

  Parameters:
    `userName` -
    `taskId` -
  Throws:
    `ManagementException`
    `AssignmentException`
    `RemoteException`

### assignToUserInGroup

    String assignToUserInGroup(String groupName,
                               String taskId)
                               throws ManagementException,
                                      AssignmentException,
                                      RemoteException

  Deprecated.
  Assign the task to a user (chosen by the system) in the group and claim the task on his behalf.

  Load for all the users in that group is calculated. The load is calculated as the number of claimed tasks by the user. The user with the least load will be selected. If there is a tie the system randomly picks a user among the tied ones.

  Parameters:
    `groupName` -
    `taskId` -
  Returns:
    the user selected
  Throws:
    `ManagementException`
    `AssignmentException`
    `RemoteException`

### assignToUsersAndGroups

    void assignToUsersAndGroups(String[] userNamesAndOrGroupNames,
                                String taskId)
                                throws ManagementException,
                                       AssignmentException,
                                       RemoteException

  Deprecated.
  Assign the tasks to users and/or groups

  Parameters:
    `userNamesAndOrGroupNames` -
    `taskId` -
  Throws:
    `ManagementException`
    `AssignmentException`
    `RemoteException`

### claimTask

    void claimTask(String taskId)
                   throws ManagementException,
                          RemoteException

  Deprecated.
  Claim the task.

  Parameters:
    `taskId` - the taskId
  Throws:
    `ManagementException`
    `RemoteException`

### claimTask

    void claimTask(String user,
                   String taskId)
                   throws ManagementException,
                          RemoteException

  Deprecated.
  Claim the task on behalf of the user. The current user needs to be the worklist admin or the task owner.

  [@TODO- Make sure worklist admin is universally know, make it clear that the caller needs to be whatever worklist admin means. Also make sure task owner is properly defined. {Still reading the docs to make sure the definitions are well known.} ]

  The task will go from the state ASSIGNED to CLAIMED.

  Parameters:
    `user` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### returnTask

    void returnTask(String taskId)
                    throws ManagementException,
                           RemoteException

  Deprecated.
  Return a task that is in the state CLAIMED to the state ASSIGNED with all the previous assignees.

  Parameters:
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### startTask

    void startTask(String taskId)
                   throws ManagementException,
                          RemoteException

  Deprecated. Use WorklistTaskUser.takeActionOnTask(taskId, , , null)

  Start working on a task. The task must be in the CLAIMED step and will go to the STARTED step.

  Parameters:
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskUser#takeActionOnTask(String, String, String, java.util.Map)`

### stopTask

    void stopTask(String taskId)
                  throws ManagementException,
                         RemoteException

  Deprecated. Use WorklistTaskUser.takeActionOnStep(taskId, , , null)

  Returns the task from state STARTED to CLAIMED.

  Parameters:
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskUser#takeActionOnTask(String, String, String, java.util.Map)`

### suspendTask

    void suspendTask(String taskId)
                     throws ManagementException,
                            RemoteException

  Deprecated. Use WorklistTaskAdmin.suspendTask instead

  Suspend the task. No operation is allowed on the SUSPENDED task until it is resumed.

  Parameters:
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskAdmin.suspendTask(String taskId)`

### resumeTask

    void resumeTask(String taskId)
                    throws ManagementException,
                           RemoteException

  Deprecated. Use WorklistTaskAdmin.resumeTask instead

  Return a task to the state it was before suspended.

  Parameters:
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskAdmin.resumeTask(String taskId)`

### completeTask

    void completeTask(String taskId)
                      throws ManagementException,
                             RemoteException

  Deprecated. Use WorklistTaskUser.takeActionOnTask(taskId, , , null) for tasks not based on a task plan, or WorklistTaskAdmin.completeTask for any task.

  Complete a STARTED task.

  Parameters:
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskUser#takeActionOnTask(String, String, String, java.util.Map)`, `WorklistTaskAdmin.completeTask(String)`

### abortTask

    void abortTask(String taskId)
                   throws ManagementException,
                          RemoteException

  Deprecated. Use WorklistTaskUser.takeActionOnStep(taskId, <Started Step>, <Abort Action>, null) for tasks not based on a task plan, or WorklistTaskAdmin.abortTask for any task.

  Abort a task in any state

  Parameters:
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskUser#takeActionOnTask(String, String, String, java.util.Map)`, `WorklistTaskAdmin.abortTask(String)`

### setTaskComment

    void setTaskComment(String comment,
                        String taskId)
                        throws ManagementException,
                               RemoteException

  Deprecated.
  Set a task comment.

  Parameters:
    `comment` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### setTaskPriority

    void setTaskPriority(Integer priority,
                         String taskId)
                         throws ManagementException,
                                RemoteException

  Deprecated.
  Set a task priority. Priority value has to be a positive integer or 0.

  Parameters:
    `priority` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### setTaskCompletionDueDate

    void setTaskCompletionDueDate(Date completeDueDate,
                                  String taskId)
                                  throws ManagementException,
                                         RemoteException

  Deprecated.
  Set the task completion due date.

  Parameters:
    `completeDueDate` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### setTaskClaimDueDate

    void setTaskClaimDueDate(Date claimDueDate,
                             String taskId)
                             throws ManagementException,
                                    RemoteException

  Deprecated.
  Set the task claim due date.

  Parameters:
    `claimDueDate` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### setTaskCompletionDueBusinessDate

    void setTaskCompletionDueBusinessDate(BusinessTime time,
                                          String taskId)
                                          throws ManagementException,
                                                 BusinessCalendarException,
                                                 RemoteException

  Deprecated.
  Set the task completion due date using a business time.

  Parameters:
    `time` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
    `BusinessCalendarException`

### setTaskClaimDueBusinessDate

    void setTaskClaimDueBusinessDate(BusinessTime time,
                                     String taskId)
                                     throws ManagementException,
                                            BusinessCalendarException,
                                            RemoteException

  Deprecated.
  Set the task claim due date using a business time.

  Parameters:
    `time` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
    `BusinessCalendarException`

### setTaskOwner

    void setTaskOwner(String owner,
                      String taskId)
                      throws ManagementException,
                             RemoteException

  Deprecated.
  Set the task owner. The current user must be worklist admin or task owner.

  Parameters:
    `owner` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### setTaskCanBeReassigned

    void setTaskCanBeReassigned(Boolean value,
                                String taskId)
                                throws ManagementException,
                                       RemoteException

  Deprecated.
  Specify if a task assignee can reassign the task.

  Parameters:
    `value` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### setTaskCanBeReturned

    void setTaskCanBeReturned(Boolean value,
                              String taskId)
                              throws ManagementException,
                                     RemoteException

  Deprecated.
  Specify if the claimant can return the task.

  Parameters:
    `value` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### setTaskCanBeAborted

    void setTaskCanBeAborted(Boolean value,
                             String taskId)
                             throws ManagementException,
                                    RemoteException

  Deprecated.
  Specify if an assignee or the claimant can abort the task.

  Parameters:
    `value` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### getTaskRequest

    TaskMessage getTaskRequest(String taskId)
                               throws ManagementException,
                                      RemoteException

  Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.

  Get the task request for 8.1.x compatibility tasks only. See setTaskRequest(TaskMessage, String) for more information. ManagementException.

  Parameters:
    `taskId` -
  Returns:
    the task request as TaskMessage
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `setTaskRequest(TaskMessage, String)`

### getTaskRequestAsXmlObject

    XmlObject getTaskRequestAsXmlObject(String taskId)
                                        throws ManagementException,
                                               RemoteException

  Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.

  Get the task request as XmlObject for 8.1.x compatibility tasks only. See setTaskRequest(TaskMessage, String) for more information. ManagementException.

  Parameters:
    `taskId` -
  Returns:
    the task request as XmlObject
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `setTaskRequest(TaskMessage, String)`

### setTaskRequest

    void setTaskRequest(TaskMessage request,
                        String taskId)
                        throws ManagementException,
                               RemoteException

  Deprecated. Use an explicit task plan when creating your task by calling WorklistTaskAdmin.createTask(String, TaskPlan, String, String) then use WorklistTaskUser.setTaskProperty() instead passing a PropertyInstance retrieved by name from the TaskPlan associated with the task. For example:

         WorklistContext ctx = WorklistContextFactory.getLocalContext();
         WorklistTaskUser user = ctx.getInterfaceForTaskUser();
         TaskPlan taskPlan = user.getTaskPlanForTask(taskId);
         Property prop = taskPlan.getProperty("Request");
         PropertyInstance propInstance = user.getTaskProperty(taskId, prop);
         propInstance.setValue(... Your request value (Object, byte[], etc.) ...)
         user.setTaskProperty(taskId, propInstance);

  Set the task request for 8.1.x compatibility tasks only (those created by a call to createTask() that does not explicitly mention a task plan defining the structure of the task. Calling this method on a task that was created with an explicit task plan will result in a ManagementException.

  Parameters:
    `request` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskUser.getTaskPlanForTask(String)`, `TaskPlan.getProperty(String)`, `WorklistTaskUser.getTaskProperty(String, com.bea.wli.worklist.api.taskplan.Property)`, `WorklistTaskUser.setTaskProperty(String, PropertyInstance)`

### setTaskRequestAsXmlObject

    void setTaskRequestAsXmlObject(XmlObject request,
                                   String mimeType,
                                   String taskId)
                                   throws ManagementException,
                                          RemoteException

  Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.

  Set the task request as XmlObject for 8.1.x compatibility tasks only. See setTaskRequest(TaskMessage, String) for more information. ManagementException.

  Parameters:
    `request` -
    `mimeType` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `setTaskRequest(TaskMessage, String)`

### getTaskResponse

    TaskMessage getTaskResponse(String taskId)
                                throws ManagementException,
                                       RemoteException

  Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.

  Get the task response for 8.1.x compatibility tasks only. See setTaskRequest(TaskMessage, String) for more information. ManagementException.

  Parameters:
    `taskId` -
  Returns:
    the task response as TaskMessage
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `setTaskRequest(TaskMessage, String)`

### getTaskResponseAsXmlObject

    XmlObject getTaskResponseAsXmlObject(String taskId)
                                         throws ManagementException,
                                                RemoteException

  Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.

  Get the task response as XmlObject for 8.1.x compatibility tasks only. See setTaskRequest(TaskMessage, String) for more information. ManagementException.

  Parameters:
    `taskId` -
  Returns:
    the task response as XmlObject
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `setTaskRequest(TaskMessage, String)`

### setTaskResponse

    void setTaskResponse(TaskMessage response,
                         String taskId)
                         throws ManagementException,
                                RemoteException

  Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.

  Set the task response for 8.1.x compatibility tasks only. See setTaskRequest(TaskMessage, String) for more information. ManagementException.

  Parameters:
    `response` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `setTaskRequest(TaskMessage, String)`

### setTaskResponseAsXmlObject

    void setTaskResponseAsXmlObject(XmlObject response,
                                    String mimeType,
                                    String taskId)
                                    throws ManagementException,
                                           RemoteException

  Deprecated. See setTaskRequest(TaskMessage request, String taskId) for more information.

  Set the task response as XmlObject for 8.1.x compatibility tasks only. See setTaskRequest(TaskMessage, String) for more information. ManagementException.

  Parameters:
    `response` -
    `mimeType` -
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `setTaskRequest(TaskMessage, String)`

### getTaskProperty

    String getTaskProperty(String propertyName,
                           String taskId)
                           throws ManagementException,
                                  RemoteException

  Deprecated.
  Get a user defined task property value.

  A property is made up of a name and a value. Note, in release 9.0 of WebLogic Integration, task properties can have types other than String. If a property with a type other than String is accessed via this method (or any of the property methods on this interface), a ManagementException will be thrown. It is recommended that new client code use methods on WorklistTaskUser.

  Parameters:
    `propertyName` -
    `taskId` -
  Returns:
    property value as string
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskUser.getTaskProperty(String, com.bea.wli.worklist.api.taskplan.Property)`

### getTaskProperties

    String[] getTaskProperties(String[] propertyNames,
                               String taskId)
                               throws ManagementException,
                                      RemoteException

  Deprecated. Use WorklistTaskUser.getTaskProperties() instead.

  Get user defined task property values. Note, in release 9.0 of WebLogic Integration, task properties can have types other than String. If a property with a type other than String is accessed via this method (or any of the property methods on this interface), a ManagementException will be thrown. It is recommended that new client code use methods on WorklistTaskUser.

  Parameters:
    `propertyNames` -
    `taskId` -
  Returns:
    array of property values
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskUser.getTaskProperties(String, String[], boolean)`

### setTaskProperty

    String setTaskProperty(String propertyName,
                           String value,
                           String taskId)
                           throws ManagementException,
                                  RemoteException

  Deprecated. Use WorklistTaskUser.getTaskProperty() instead.

  Update/Create a user defined task property. Note, in release 9.0 of WebLogic Integration, task properties can have types other than String. If a property with a type other than String is accessed via this method (or any of the property methods on this interface), a ManagementException will be thrown. It is recommended that new client code use methods on WorklistTaskUser.

  Parameters:
    `propertyName` -
    `value` -
    `taskId` -
  Returns:
    old property value as string
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskUser.setTaskProperty(String, PropertyInstance)`

### setTaskProperties

    String[] setTaskProperties(String[] propertyNames,
                               String[] values,
                               String taskId)
                               throws ManagementException,
                                      RemoteException

  Deprecated. Use WorklistTaskUser.setTaskProperties() instead.

  Update/Create user defined task properties. Note, in release 9.0 of WebLogic Integration, task properties can have types other than String. If a property with a type other than String is accessed via this method (or any of the property methods on this interface), a ManagementException will be thrown. It is recommended that new client code use methods on WorklistTaskUser.

  Parameters:
    `propertyNames` -
    `values` -
    `taskId` -
  Returns:
    old property values as string array
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `WorklistTaskUser#setTaskProperties(String, java.util.Map)`

### getTaskPropertiesNames

    String[] getTaskPropertiesNames(String taskId)
                                    throws ManagementException,
                                           RemoteException

  Deprecated. Use TaskPlan.getPropertyName() instead.

  Return all the user defined task property names.

  Parameters:
    `taskId` -
  Returns:
    string array containing names of all defined properties
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `TaskPlan.getPropertyNames()`

### removeTaskProperties

    String[] removeTaskProperties(String[] propertyNames,
                                  String taskId)
                                  throws ManagementException,
                                         RemoteException

  Deprecated. Use PropertyInstance.unsetValue() instead.

  Remove user defined task properties Note, in release 9.0 of WebLogic Integration, task properties can have types other than String. If a property with a type other than String is accessed via this method (or any of the property methods on this interface), a ManagementException will be thrown. It is recommended that new client code use methods on WorklistTaskUser. Note also that we recommend you unset the value for a property rather than physically removing the property.

  Parameters:
    `propertyNames` -
  Returns:
    string array containing existing property values before deletion
  Throws:
    `ManagementException`
    `RemoteException`
  See Also:
    `DataTypeValue.unsetValue()`

### archiveTasks

    void archiveTasks()
                      throws ManagementException,
                             RemoteException

  Deprecated.
  Archive all the tasks in their final state (COMPLETED or ABORTED) if the archiver is on.

  Throws:
    `ManagementException`
    `RemoteException`

### purgeTasks

    void purgeTasks()
                    throws ManagementException,
                           RemoteException

  Deprecated.
  Purge all the tasks that have been in their final state for more than the purge delay value. If the archiver is on and the task has not been archived yet, the task cannot be purged.

  Throws:
    `ManagementException`
    `RemoteException`

### deleteTask

    void deleteTask(String taskId)
                    throws ManagementException,
                           RemoteException

  Deprecated.
  Delete the task.

  Parameters:
    `taskId` -
  Throws:
    `ManagementException`
    `RemoteException`

### deleteTasks

    void deleteTasks(TaskSelector selector)
                     throws ManagementException,
                            RemoteException

  Deprecated.
  Delete the selected tasks.

  Parameters:
    `selector` - containing selection criteria
  Throws:
    `ManagementException`
    `RemoteException`

### getUsersInGroup

    String[] getUsersInGroup(String group)
                             throws ManagementException,
                                    RemoteException

  Deprecated.
  Return all the members of a WLS group

  Parameters:
    `group` -
  Returns:
    list of user names in the given group
  Throws:
    `ManagementException`
    `RemoteException`

### getContainingGroups

    String[] getContainingGroups(String userOrGroup)
                                 throws ManagementException,
                                        RemoteException

  Deprecated.
  Return all the groups containing this user or group

  Parameters:
    `userOrGroup` -
  Returns:
    list of group names containing this user or group
  Throws:
    `ManagementException`
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD